For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get an Item's History

Get an item's transaction history

Returns the blockchain history of an item

GET https://api.alturanft.com/api/v2/item/events/:address/:tokenId

Takes a collection address and tokenId and returns that item's blockchain history (mint, transfers, listed, delisted, sell, etc)

Path Parameters

Name
Type
Description

address*

String

The item's collection address

tokenId*

Integer

The item's tokenId

Query Parameters

Name
Type
Description

perPage

Integer

The number of users to return

(default: 24)

page

Integer

The offset for returned users. Calculated as (page - 1) * perPage

(default: 1)

{
  "events": [
    {
      "id": "ItemListed-35068-0x1926113a7555109443093baefaa1b87de973c111c1610e03bb8d3aa6154e3e8e-19",
      "amount": "1",
      "blockNumber": 24406454,
      "chainId": 56,
      "currency": "0x0000000000000000000000000000000000000000",
      "currencyPrice": 243.06,
      "event": "ItemListed",
      "from": "0x7a6d17c77fe350011596572d73d332d6b0794f06",
      "itemCollection": "0xdb0047cb1dfc44696f6e9868ef6bb40000280b05",
      "itemRef": "56-0xdb0047cb1dfc44696f6e9868ef6bb40000280b05-9",
      "price": 10,
      "timestamp": 1672570064,
      "to": "",
      "tokenId": 9,
      "transactionHash": "0x1926113a7555109443093baefaa1b87de973c111c1610e03bb8d3aa6154e3e8e",
      "worth": 0
    },
    {
      "id": "TransferSingle-24406454-18",
      "amount": "1",
      "blockNumber": 24406454,
      "chainId": 56,
      "event": "TransferSingle",
      "from": "0x7a6d17c77fe350011596572d73d332d6b0794f06",
      "itemCollection": "0xdb0047cb1dfc44696f6e9868ef6bb40000280b05",
      "itemRef": "56-0xdb0047cb1dfc44696f6e9868ef6bb40000280b05-9",
      "timestamp": 1672570064,
      "to": "0xe29f0b490f0d89ca7acac1c7bed2e07ecad65201",
      "tokenId": 9,
      "transactionHash": "0x1926113a7555109443093baefaa1b87de973c111c1610e03bb8d3aa6154e3e8e"
    }
  ]
}

Last updated